%define oname   hiera-puppet

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 12
Summary:    Puppet query interface and backend for Hiera
License:    Apache License 
Group:      Development/Ruby
URL:        https://github.com/puppetlabs/hiera-puppet
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Store and query Hiera data from Puppet.

%files
%{_bindir}/extlookup2hiera
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/<hiera>, \["~> 1.0"/<hiera>, \[">= 1.0"/g' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install


%changelog
* Fri Nov 04 2016 daviddavid <daviddavid> 1.0.0-12.mga6
+ Revision: 1065282
- fix dependency for rubygem(hiera)

* Wed Oct 19 2016 pterjan <pterjan> 1.0.0-11.mga6
+ Revision: 1062533
- Use gem_setup

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 742420
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 688825
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.0.0-8.mga4
+ Revision: 561957
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.0.0-7.mga4
+ Revision: 561287
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-6.mga4
+ Revision: 535433
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.0.0-5.mga4
+ Revision: 482096
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.0.0-4.mga4
+ Revision: 476472
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 396039
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 380984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 313040
- new version 1.0.0

* Wed Feb 15 2012 misc <misc> 0.3.0-1.mga2
+ Revision: 209405
- imported package ruby-hiera-puppet

